BUILDENV(3)

NAME
buildEnv - add a vector of strings to the process environment

SYNOPSIS
#include <gno/gno.h>

int buildEnv (char * const *envp);

DESCRIPTION
buildEnv takes takes a NULL-terminated array of character string pointers, where each string is of the format NAME=VALUE and adds the strings to the process environment via putenv(3).

RETURN VALUE
buildEnv returns zero on success. On failure, it returns -1 and sets errno.

HISTORY
This routine was originally called build_env and was part of the lenviron library written by Devin Reade for GNO v2.0.3 in April 1994. It was incorporated into the GNO libc as of v2.0.6.

SEE ALSO
buildCmd(3), buildPath(3), environ(7).